> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Channels Engagement >
Premium tag
Retrieve all active channels and the number of messages in each channel within a specific period. Permission required: `view-engagement-dashboard` ### Changelog | Version | Description | | ---------------- | ------------| |3.1.0 | Added | ## OpenAPI ````json GET /api/v1/engagement-dashboard/channels/list { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Statistics" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels Engagement" }, { "name": "Messages Engagement" }, { "name": "Statistics" }, { "name": "Users Engagement" } ], "paths": { "/api/v1/engagement-dashboard/channels/list": { "get": { "tags": [ "Channels Engagement" ], "summary": "Get Channels Engagement", "description": "
\"Premium
\n\nRetrieve all active channels and the number of messages in each channel within a specific period.\n\nPermission required: `view-engagement-dashboard` \n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|3.1.0 | Added |", "operationId": "get-api-v1-engagement-dashboard-channels-list", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/start" }, { "$ref": "#/components/parameters/end" }, { "$ref": "#/components/parameters/count" }, { "$ref": "#/components/parameters/offset" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "channels": { "type": "array", "items": { "type": "object", "properties": { "room": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "ts": { "type": "string" }, "t": { "type": "string" }, "_updatedAt": { "type": "string" } } }, "messages": { "type": "integer" }, "lastWeekMessages": { "type": "integer" }, "diffFromLastWeek": { "type": "integer" } } } }, "total": { "type": "integer" }, "offset": { "type": "integer" }, "count": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "channels": [ { "room": { "_id": "string", "name": "string", "ts": "string", "t": "string", "_updatedAt": "string" }, "messages": "0", "lastWeekMessages": "0", "diffFromLastWeek": "0" } ], "total": "0", "offset": "0", "count": "0", "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/keyError" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The token of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The user ID of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "start": { "name": "start", "in": "query", "description": "The start date.", "required": "true", "schema": { "type": "string" }, "example": "2023-10-29T14:48:00Z" }, "end": { "name": "end", "in": "query", "description": "The end date.", "required": "true", "schema": { "type": "string" }, "example": "2023-11-05T14:48:00Z" }, "count": { "name": "count", "in": "query", "required": "false", "schema": { "type": "integer" }, "example": "50", "description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." }, "offset": { "name": "offset", "in": "query", "required": "false", "schema": { "type": "integer" }, "description": "Number of items to \"skip\" in the query, i.e. requests return `count` items, skipping the first `offset` items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more." } }, "responses": { "keyError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Missing key": { "value": { "success": "false", "error": "Match error: Missing key 'start'" } }, "Example 2": { "value": { "success": "false", "error": "Match error: Failed Match.Where validation in field start" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } } } } ````